summaryrefslogtreecommitdiff
path: root/build_single.sh
diff options
context:
space:
mode:
authorCzarek Nakamoto <cyjan@mrcyjanek.net>2024-10-31 13:11:01 +0000
committerCzarek Nakamoto <cyjan@mrcyjanek.net>2024-10-31 13:11:01 +0000
commitdfc7c5eea0bed2f4dc7a8cabfb33ad49370cd3a1 (patch)
tree9706ca4b29798280a6c4ba8118f0d2cf91f17628 /build_single.sh
parent1d8e0fb30b53c28756f23676d5a3e1a99a9b3051 (diff)
initial zano commit
Diffstat (limited to 'build_single.sh')
-rwxr-xr-xbuild_single.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/build_single.sh b/build_single.sh
index 4f0c5ad..aab599f 100755
--- a/build_single.sh
+++ b/build_single.sh
@@ -24,10 +24,11 @@ then
exit 1
fi
-if [[ "x$repo" != "xwownero" && "x$repo" != "xmonero" ]];
+if [[ "x$repo" != "xwownero" && "x$repo" != "xmonero" && "x$repo" != "xzano" ]];
then
echo "Usage: $0 monero/wownero $(gcc -dumpmachine) -j$proccount"
echo "Invalid target given, only monero and wownero are supported targets"
+ exit 1
fi
if [[ ! -d "$repo" ]]
@@ -363,7 +364,12 @@ pushd $repo/build/${HOST_ABI}
exit 1
;;
esac
- CC=gcc CXX=g++ make wallet_api $NPROC
+ if [[ "$repo" == "zano" ]];
+ then
+ CC=gcc CXX=g++ make version common crypto currency_core ethash libminiupnpc-static lmdb mdbx rpc stratum tor-connect wallet zlibstatic $NPROC
+ else
+ CC=gcc CXX=g++ make wallet_api $NPROC
+ fi
popd
# Special treatment for apple